Product Unit Prices
curl --request GET \
--url https://api.blockradar.co/v1/rewards/products/{productId}/unit-prices \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/rewards/products/{productId}/unit-prices"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/rewards/products/{productId}/unit-prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.blockradar.co/v1/rewards/products/{productId}/unit-prices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.blockradar.co/v1/rewards/products/{productId}/unit-prices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.blockradar.co/v1/rewards/products/{productId}/unit-prices")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.blockradar.co/v1/rewards/products/{productId}/unit-prices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"message": "Reward unit prices retrieved successfully",
"statusCode": 200,
"data": {
"productId": "3aa81215-585a-4db2-9707-339a01ad794d",
"productKey": "ground-tempo-prime",
"interval": "day",
"unitDecimals": 18,
"assetDecimals": 6,
"prices": [
{
"timestamp": "2026-11-15T20:00:00.000Z",
"unitPrice": "0.000000000001070186133576"
},
{
"timestamp": "2026-11-16T23:00:00.000Z",
"unitPrice": "0.000000000001070363413205"
},
{
"timestamp": "2026-11-17T23:00:00.000Z",
"unitPrice": "0.000000000001070548433205"
}
]
}
}{
"statusCode": 400,
"message": "A hour series covers at most 31 days per request"
}{
"statusCode": 404,
"message": "Earn product not found"
}Rewards
Product Unit Prices
Returns the recorded unit price series of an earn product: what one unit of the product (an Aave scaled balance unit, a Compound principal unit, a vault share) was worth in the deposited asset at each point in time. The price is recorded hourly. Use it to chart how a product has grown or to value a position yourself as units × unitPrice.
Prices are expressed in base units of the asset per base unit of the product. To get the asset value of whole units, multiply by 10^unitDecimals and divide by 10^assetDecimals.
Query Parameters
| Key | Required | Type | Description |
|---|---|---|---|
| from | true | string (ISO 8601 date and time) | Start of the range. Must be earlier than to. |
| to | true | string (ISO 8601 date and time) | End of the range. |
| interval | false | string | hour or day (default day). An hourly series covers at most 31 days per request, a daily series at most 366. |
GET
/
v1
/
rewards
/
products
/
{productId}
/
unit-prices
Product Unit Prices
curl --request GET \
--url https://api.blockradar.co/v1/rewards/products/{productId}/unit-prices \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/rewards/products/{productId}/unit-prices"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/rewards/products/{productId}/unit-prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.blockradar.co/v1/rewards/products/{productId}/unit-prices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.blockradar.co/v1/rewards/products/{productId}/unit-prices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.blockradar.co/v1/rewards/products/{productId}/unit-prices")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.blockradar.co/v1/rewards/products/{productId}/unit-prices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"message": "Reward unit prices retrieved successfully",
"statusCode": 200,
"data": {
"productId": "3aa81215-585a-4db2-9707-339a01ad794d",
"productKey": "ground-tempo-prime",
"interval": "day",
"unitDecimals": 18,
"assetDecimals": 6,
"prices": [
{
"timestamp": "2026-11-15T20:00:00.000Z",
"unitPrice": "0.000000000001070186133576"
},
{
"timestamp": "2026-11-16T23:00:00.000Z",
"unitPrice": "0.000000000001070363413205"
},
{
"timestamp": "2026-11-17T23:00:00.000Z",
"unitPrice": "0.000000000001070548433205"
}
]
}
}{
"statusCode": 400,
"message": "A hour series covers at most 31 days per request"
}{
"statusCode": 404,
"message": "Earn product not found"
}Parâmetros de consulta
Resposta
OK
The response is of type object.

